Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ConverterCollections.ConverterEntry

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.ConverterCollections.AbstractConverterEntry
com.tangosol.util.ConverterCollections.ConverterEntry`

All Implemented Interfaces:
  java.io.Serializable, java.util.Map.Entry

Enclosing class:
  ConverterCollections

      public static class ConverterCollections.ConverterEntry

extends ConverterCollections.AbstractConverterEntry

A Map Entry that lazily converts the key and value.

Field Summary
`protected Converter` | `m_convKeyUp` The Converter used to view the Entry's key.
`protected Converter` | `m_convValDown` The Converter used to store the Entry's value.
`protected Converter` | `m_convValUp` The Converter used to view the Entry's value.

Fields inherited from class com.tangosol.util.ConverterCollections.AbstractConverterEntry
`m_entry, m_oKeyUp, m_oValueUp`

Constructor Summary
`ConverterCollections.ConverterEntry(java.util.Map.Entry entry, Converter convKeyUp, Converter convValUp, Converter convValDown)` Constructor.

Method Summary
`protected Converter` | `getConverterKeyUp()` Return the Converter to view the underlying Entry's key through.
`protected Converter` | `getConverterValueDown()` Return the Converter used to change value in the underlying Entry.
`protected Converter` | `getConverterValueUp()` Return the Converter to view the underlying Entry's value through.

Methods inherited from class com.tangosol.util.ConverterCollections.AbstractConverterEntry
`equals, getEntry, getKey, getValue, hashCode, setValue, toString`

Field Detail

### m_convKeyUp

    protected Converter m_convKeyUp

  The Converter used to view the Entry's key.

### m_convValUp

    protected Converter m_convValUp

  The Converter used to view the Entry's value.

### m_convValDown

    protected Converter m_convValDown

  The Converter used to store the Entry's value.

Constructor Detail

### ConverterCollections.ConverterEntry

    public ConverterCollections.ConverterEntry(java.util.Map.Entry entry,
                                               Converter convKeyUp,
                                               Converter convValUp,
                                               Converter convValDown)

  Constructor.
  Parameters:
    `entry` - the Entry to wrap
    `convKeyUp` - the Converter to view the underlying Entry's keys through
    `convValUp` - the Converter to view the underlying Entry's values through
    `convValDown` - the Converter to use to pass values down to the underlying Entry

Method Detail

### getConverterKeyUp

    protected Converter getConverterKeyUp()

  Return the Converter to view the underlying Entry's key through.
  Specified by:
    `getConverterKeyUp` in class `ConverterCollections.AbstractConverterEntry`
  Returns:
    the Converter to view the underlying Entry's key through

### getConverterValueUp

    protected Converter getConverterValueUp()

  Return the Converter to view the underlying Entry's value through.
  Specified by:
    `getConverterValueUp` in class `ConverterCollections.AbstractConverterEntry`
  Returns:
    the Converter to view the underlying Entry's value through

### getConverterValueDown

    protected Converter getConverterValueDown()

  Return the Converter used to change value in the underlying Entry.
  Specified by:
    `getConverterValueDown` in class `ConverterCollections.AbstractConverterEntry`
  Returns:
    the Converter used to change value in the underlying Entry

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.